TargetSelector = class("TargetSelector", Selector)

function TargetSelector:initialize(list, current, orientation, segmented, blink, color, img)
    Selector.initialize(self, list, current, orientation, segmented, blink, color, img)

    self.segmented = false
    self.blink = false
end

function TargetSelector:keypressed(key, isrepeat)
    Selector.keypressed(self, key, isrepeat)

    if key == "z" or key == " " or key == "return" then
        combat.selectedTarget = self.currentElement
    end
end

function TargetSelector:update(dt)
    Selector.update(self, dt)

    self.x = self.currentElement.x + self.currentElement.width/2 - self.imgWidth/2
    self.y = self.currentElement.y - self.imgHeight - 10
end