vec4 resultCol;
vec4 textureCol;

extern vec2 stepSize;

vec4 effect( vec4 col, Image texture, vec2 texturePos, vec2 screenPos )
{
	vec4 newCol = vec4(0.0);
	
	// Adds together pixel colors of nearby horizontal pixels, based on gausian weight
    newCol += texture2D( texture, texturePos + vec2(-4*stepSize.x, 0.0f)) * 0.05;
    newCol += texture2D( texture, texturePos + vec2(-3*stepSize.x, 0.0f)) * 0.09;
	newCol += texture2D( texture, texturePos + vec2(-2*stepSize.x, 0.0f)) * 0.12;
	newCol += texture2D( texture, texturePos + vec2(-1*stepSize.x, 0.0f)) * 0.15;
	newCol += texture2D( texture, texturePos) * 0.16;
	newCol += texture2D( texture, texturePos + vec2(stepSize.x, 0.0f)) * 0.15;
    newCol += texture2D( texture, texturePos + vec2(2*stepSize.x, 0.0f)) * 0.12;
	newCol += texture2D( texture, texturePos + vec2(3*stepSize.x, 0.0f)) * 0.09;
	newCol += texture2D( texture, texturePos + vec2(4*stepSize.x, 0.0f)) * 0.05;
	
    return newCol;
}