vec4 resultCol;
vec4 textureCol;

extern vec2 stepSize;
extern float vis;

vec4 effect( vec4 col, Image texture, vec2 texturePos, vec2 screenPos )
{
	number alpha = -4*texture2D( texture, texturePos ).a;
    alpha += texture2D( texture, texturePos + vec2( stepSize.x, 0.0f ) ).a;
    alpha += texture2D( texture, texturePos + vec2( -stepSize.x, 0.0f ) ).a;
    alpha += texture2D( texture, texturePos + vec2( 0.0f, stepSize.y ) ).a;
    alpha += texture2D( texture, texturePos + vec2( 0.0f, -stepSize.y ) ).a;

    // calculate resulting color
    resultCol = vec4( 0.16f, 0.91f, 0.77f, alpha/vis); // color values are 0-1, so take the normal values divided by 255 (and maybe put the f at the end, it's really just optional)
    // return color for current pixel
    return resultCol;
}