vec4 resultCol;
vec4 textureCol;

extern vec2 stepSize;

vec4 effect( vec4 col, Image texture, vec2 texturePos, vec2 screenPos )
{
	vec4 newCol = vec4(0.0);
    newCol += texture2D( texture, texturePos + vec2(stepSize*0));
	
	newCol.b = 0.2 * texturePos.x + 0.8 * newCol.b;
	newCol.r = 0.2 * texturePos.y + 0.8 * newCol.r;
	newCol.g = 0.2 *(texturePos.x + texturePos.y)/2 + 0.8 * newCol.g;
	
	newCol.r = pow(newCol.r, 1/2.2);
	newCol.g = pow(newCol.g, 1/2.2);
	newCol.b = pow(newCol.b, 1/2.2);
	
    return newCol;
}