const number pi = 3.1415926535897932384626433832795;

extern vec2 stepSize;
extern number mouseX;

vec4 effect( vec4 col, Image texture, vec2 texturePos, vec2 screenPos )
{
	vec4 pixel = Texel(texture, texturePos);
	
    number average = (pixel.r+pixel.b+pixel.g)/3.0;
    number factor = abs(mouseX-screenPos.x)/love_ScreenSize.x;
	
    pixel.r = pixel.r + (average-pixel.r) * factor;
    pixel.g = pixel.g + (average-pixel.g) * factor;
    pixel.b = pixel.b + (average-pixel.b) * factor;
	
    return pixel;
}